/*
 * Copyright (C) 2023  Aravinth Manivannan <realaravinth@batsense.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
//! Pairs of identities mapping one forge to another.
use serde::{Deserialize, Serialize};

/// Pairs of identities mapping one forge to another. The first element is the id in the source
/// forge, the second element is the id in the destination forge.Pairs of identities mapping one
/// forge to another. The first element is the id in the source forge, the second element is the id
/// in the destination forge.
#[derive(Clone, Debug, Serialize, Deserialize, Default, Eq, PartialEq)]
pub struct Identities {
    pub pairs: Vec<usize>,
}
